<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<link rel="import" href="../../bower_components/neon-animation/animations/scale-up-animation.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">
<link rel="import" href="../../bower_components/iron-icons/av-icons.html">

<dom-module id="dez-about">
  <template>
    <style>
    </style>

    <paper-icon-button icon="help" title="Help / About" on-tap="_openAboutDialog"></paper-icon-button>
    <paper-dialog id="aboutDialog" entry-animation="scale-up-animation" exit-animation="fade-out-animation" with-backdrop>
      <h2><b>Dezrann</b> &ndash; Interactive music analysis on the web</h2>

      <p>
        <i>Study, hear, and annotate scores on your web browser!</i>
      </p>

      <p>
        This is the <b>preview of Dezrann</b>. Dezrann has been tested on recent Firefox, Safari and Chrome web browsers.
        <br />You can click anywhere on the score to add or edit labels. In this preview, the set of scores is limited. On this public server,
        <br />saved analyses are on a public account and are regularly reset. Please contact us if you want to access to a private instance
        <br />that stores your analyses.
        <br />For more information, see the TENOR 2018 paper below.
      </p>

      <h4>Next planned features</h4>

      <div>
        <h4 style='margin-bottom: 0;'>☀ Summer 2018</h4>
        <ul style='margin-top: 0;'>
          <li>labels on waveforms <span style="color:green;">✔</span></li>
          <li>audio output <span style="color:green;">✔</span></li>
        </ul>
      </div>

      <div>
        <h4 style='margin-bottom: 0;'>☀ Summer 2019</h4>
        <ul style='margin-top: 0;'>
          <li>user and group accounts to store analyses on the public server</li>
          <li>realtime collaborative editing</li>
        </ul>
      </div>


      <p>
        We also plan to add <i>collaborative features</i>
        and make Dezrann <i>fully responsive</i> for mobile and <br />tablet usage.
        To receive updates on Dezrann or to request early accesses,
        please <a href="mailto:dezrann@algomus.fr?Subject=Dezrann&Body=%0ADear%20Algomus%20team%2C%0A%0APlease%20keep%20me%20informed%20of%20the%20development%20of%20Dezrann.%0A%0ABest%20regards%2C%0A%0A">drop us a mail</a>.
      </p>

      <p>
        <i>Dezrann is developped by Emmanuel Leguy and the <a href="http://www.algomus.fr/">Algomus</a> computer music team.</i>
      </p>

      <p>Mathieu Giraud, Richard Groult, Emmanuel Leguy,
        <a href="https://hal.archives-ouvertes.fr/hal-01796787">Dezrann, a Web Framework to Share Music Analysis</a>,
        TENOR 2018, pp. 104-110.
      </p>

      <div class="buttons">
          <paper-button dialog-confirm autofocus>OK</paper-button>
      </div>
    </paper-dialog>

  </template>

  <script>

  class DezAbout extends Polymer.Element {

      static get is() { return 'dez-about'; }

      _openAboutDialog () {
          this.$.aboutDialog.open();
      }

  }

  window.customElements.define(DezAbout.is, DezAbout);

  </script>
</dom-module>
